Architektura: Ściana

From FreeCAD Documentation
This page is a translated version of the page Arch Wall and the translation is 100% complete.
POLECENIE TO JEST CZĘŚCIĄ ZINTEGROWANEGO środowiska pracy BIM w V1.0
Ta strona została zaktualizowana dla tej wersji.

Architektura: Ściana

Lokalizacja w menu
3D / BIM → Ściana
Środowisko pracy
BIM
Domyślny skrót
W A
Wprowadzono w wersji
-
Zobacz także
brak

Opis

Narzędzie Ściana tworzy obiekt Ściany od podstaw lub na bazie dowolnego innego obiektu opartego na kształcie lub siatce. Ściana może być budowana bez żadnego obiektu bazowego, wtedy zachowuje się jak objętość sześcianu, korzystając z właściwości długości, szerokości i wysokości. Gdy budowana jest na istniejącym kształcie, ściana może być oparta na:

  • Obiekt liniowy 2D, taki jak linie, krawędzie, łuki lub szkice, w którym możesz zmienić grubość, wyrównanie (prawo, lewo lub wyśrodkowane) i wysokość. Właściwość długości nie ma wpływu.
  • Płaska powierzchnia, w której możesz zmieniać tylko wysokość. Właściwości długości i szerokości nie mają wpływu. Jeśli płaszczyzna bazowa jest pionowa, ściana użyje właściwości szerokości zamiast wysokości, pozwalając na budowę ścian z obiektów przypominających przestrzeń lub studia masy.
  • Bryła, w której właściwości długości, szerokości i wysokości nie mają wpływu. Ściana po prostu używa podstawowej bryły jako swojego kształtu.
  • Siatka, w której podstawowa siatka musi być zamkniętą, trójwymiarową bryłą.

Ściany zbudowane z linii, polilinii, ściany, bryły i szkicu.

Ściany mogą także mieć obiekty dodawane lub odejmowane. Obiekty dodawane to inne obiekty, których kształty są łączone w kształt tej ściany, podczas gdy odejmowane stanowią ubytki. Dodatki i odejmowania mogą być obsługiwane za pomocą narzędzi Dodaj i Arch Remove. Dodatki i odejmowania nie mają wpływu na parametry ściany, takie jak wysokość i szerokość, które nadal można zmieniać. Ściany mogą także mieć automatyczną wysokość, jeśli są one zawarte w obiekcie wyższego poziomu, takim jak piętra. Wysokość musi być ustawiona na 0, wtedy ściana przyjmie wysokość określoną w obiekcie nadrzędnym.

Kiedy kilka ścian powinno się przecinać, musisz umieścić je w podłodze, aby ich geometria się przecinała.

Użycie

Kreślenie ścian od podstaw

  1. Kliknij przycisk Ściana, lub wciśnij klawisze W a następnie A.
  2. Kliknij pierwszy punkt na widoku 3D lub wprowadź współrzędne.
  3. Kliknij drugi punkt na widoku 3D lub wprowadź współrzędne.

Kreślenie ściany na wybranym obiekcie

  1. Wybierz jeden lub więcej obiektów podstawowych geometrii (obiekt szkicu, itp.).
  2. Kliknij przycisk Ściana, lub wciśnij klawisze W a następnie A.
  3. Dostosuj właściwości takie jak wysokość lub szerokość.

Opcje

  • Ściany dzielą wspólne właściwości i zachowania wszystkich Komponentów Architektonicznych.
  • Wysokość, szerokość i wyrównanie ściany można ustawić podczas rysowania, za pomocą panelu zadań.
  • Przyciągając ścianę do istniejącej ściany, obie ściany zostaną połączone w jedną. Sposób, w jaki są one łączone, zależy od ich właściwości: Jeśli mają one taką samą szerokość, wysokość i wyrównanie, oraz jeśli opcja "Połącz szkice bazowe ścian, jeśli to możliwe" jest włączona w preferencjach Architektury, rezultatem będzie jedna ściana oparta na szkicu złożonym z kilku segmentów. W przeciwnym razie, ta druga ściana zostanie dodana do pierwszej jako obiekt dodany.
  • Naciśnij X, Y lub Z po pierwszym punkcie, aby ograniczyć drugi punkt do wybranej osi.
  • Aby wprowadzić współrzędne ręcznie, po prostu wpisz liczby, a następnie naciśnij Enter między każdą składową X, Y i Z.
  • Naciśnij R lub kliknij pole wyboru, aby zaznaczyć / odznaczyć pole Względnie. Jeśli tryb relatywny jest włączony, współrzędne drugiego punktu są względne względem pierwszego. Jeśli nie, są one bezwzględne, pobrane z punktu odniesienia położenia (0,0,0).
  • Naciśnij Shift podczas rysowania, aby ograniczyć drugi punkt poziomo lub pionowo w stosunku do pierwszego.
  • Naciśnij Esc lub przycisk Anuluj, aby przerwać bieżące polecenie.
  • Podwójne kliknięcie na ścianie w widoku drzewa po jej utworzeniu pozwala wejść w tryb edycji i uzyskać dostęp i modyfikować jej obiekty dołączone i odejmowane.
  • Wielowarstwowe ściany można łatwo tworzyć, budując kilka ścian z tego samego punktu odniesienia. Ustawiając ich właściwość Wyrównanie na lewo lub prawo oraz określając wartość Odsunięcie, można efektywnie skonstruować kilka warstw ściany. Umieszczenie okna w takiej warstwie ściany spowoduje rozprzestrzenienie się otworu na inne warstwy ściany w oparciu o tę samą linię bazową.
  • Ściany mogą również korzystać z Wielomateriałowej struktury. Korzystając z wielu materiałów, ściana stanie się wielowarstwowa, korzystając z grubości określonych przez wiele materiałów. Każda warstwa o grubości zerowej będzie miała swoją grubość automatycznie określoną przez pozostałe miejsce określone przez Wartość Szerokość ściany, po odjęciu innych warstw.
  • Ściany mogą wyświetlać bloki zamiast pojedynczej bryły, przez włączenie ich właściwości DANEUtwórz bloki. Rozmiar i przesunięcie bloków można skonfigurować za pomocą różnych właściwości, a liczba bloków jest automatycznie obliczana.

Przyciąganie

  1. Wybierz jeden lub więcej obiektów geometrii bazowej (szkic obiektu, szkic itp.).
  2. Naciśnij przycisk Ściana lub naciśnij klawisze W, a następnie A.
  3. Dostosuj potrzebne właściwości, takie jak wysokość lub szerokość.

Druga ściana przylegająca prostopadle do pierwszej.

Właściwości

Obiekty Ścian dziedziczą właściwości obiektów Część, a także posiadają następujące dodatkowe właściwości:

Dane

Blok

  • DANEWysokość Bloku: Wysokość każdego bloku.
  • DANEDługość Bloku: Długość każdego bloku.
  • DANELiczba Zniszczonych: Liczba zniszczonych bloków (tylko do odczytu).
  • DANELiczba Wystąpień: Liczba wszystkich bloków (tylko do odczytu).
  • DANEPołączenie: Rozmiar spoiny, pusta przestrzeń między blokami.
  • DANETwórz Bloki: Włącza generowanie bloków.
  • DANEOdsunięcie Pierwszego: Poziome przesunięcie pierwszej i każdej nieparzystej linii bloków.
  • DANEOdsunięcie Drugiego: Poziome przesunięcie drugiej i każdej parzystej linii bloków.

Komponent

Zobacz również: Komponent.

IFC

Zobacz również: Komponent.

Atrybuty IFC

Zobacz również: Komponent.

Ściana

  • DANEWyrównanie: Wyrównanie ściany na jej linii bazowej: Lewo, Prawo lub Środek.
  • DANEPowierzchnia: Powierzchnia całej ściany, podział na bloki nie ma znaczenia (tylko do odczytu).
  • DANEPowierzchnia: Powierzchnia całej ściany, podział na bloki nie ma znaczenia (tylko do odczytu).
  • DANEŚciana: Indeks ściany z obiektu bazowego do użycia. Jeśli wartość nie jest ustawiona lub wynosi 0, używany jest cały obiekt.
  • DANEWysokość: Wysokość ściany. Ignorowane, jeśli ściana oparta jest na bryle. Jeśli ustawiono na zero, a ściana znajduje się wewnątrz obiektu Piętro z zdefiniowaną wysokością, ściana automatycznie przyjmie wartość wysokości piętra.
  • DANEDługość: Długość ściany. Tylko do odczytu, jeśli ściana nie jest oparta na nieograniczonym szkicu z pojedynczym brzegiem lub na polilinii z pojedynczym brzegiem.
  • DANENormalna: Kierunek wyciągania dla ściany. Jeśli ustawiono na (0,0,0), kierunek wyciągania jest automatyczny.
  • DANEOdsunięcie: Odległość między ścianą a jej linią bazową. Działa tylko, jeśli właściwość Zastąp Wyrównanie jest ustawiona na Prawo lub Lewo.
  • DANENadpisywanie krawędzi: (dostępne w wersji 1.0) Wprowadzane są numery indeksowe krawędzi geometrii Bazowego obiektu ArchSketch / Szkic (w trybie Edycji). Wybrane krawędzie są używane do tworzenia kształtu tej ściany kurtynowej architektury (zamiast domyślnego używania wszystkich krawędzi). Ignorowane, jeśli Bazowy szkic dostarczył wybrane krawędzie. AKTUALIZACJA przez ArchSketch: Narzędzie GUI "Edytuj ścianę kurtynową" jest dostępne w zewnętrznym dodatku SketchArch, aby umożliwić użytkownikom interaktywny wybór krawędzi. "Toponaming-Tolerant", jeśli ArchSketch jest używany jako baza (i zainstalowany jest dodatek SketchArch). Ostrzeżenie: Nie jest 'Toponaming-Tolerant', jeśli używany jest tylko Szkic. (Zobacz wątek na forum - https://forum.freecad.org/viewtopic.php?t=73018&start=40#p756554)
  • DANENadpisz Szerokość: Zastępuje atrybut Szerokość, aby ustawić szerokość każdego segmentu ściany. Ignorowane, jeśli obiekt bazowy udostępnia informacje o szerokości za pomocą metody getWidths() (jeśli wartość wynosi zero, zostanie zastosowana wartość "Szerokość"). AKTUALIZACJA przez ArchSketch: Narzędzie GUI "Edytuj ścianę kurtynową" jest dostępne w zewnętrznym dodatku SketchArch, aby umożliwić użytkownikom interaktywny wybór krawędzi. "Toponaming-Tolerant", jeśli ArchSketch jest używany jako baza (i zainstalowany jest dodatek SketchArch). Ostrzeżenie: Nie jest "Toponaming-Tolerant", jeśli używany jest tylko Szkic. (Zobacz wątek na forum - https://forum.freecad.org/viewtopic.php?t=73018&start=40#p756554)
  • DANEZastąp Odsunięcie: (introduced in version 1.0) Parametr ten zastępuje atrybut Odsunięcie w celu ustawienia odsunięcia każdego segmentu ściany. Ignorowane, jeśli obiekt Bazowy dostarcza informacji o przesunięciach za pomocą metody getOffsets() (jeśli wartość wynosi zero, zostanie zastosowana wartość "Offset"). AKTUALIZACJA przez ArchSketch: Narzędzie GUI "Edytuj przesunięcie segmentu ściany" jest dostępne w zewnętrznym dodatku SketchArch, aby umożliwić użytkownikom interaktywny wybór krawędzi. "Toponaming-Tolerant", jeśli ArchSketch jest używany jako Baza (i zainstalowany jest dodatek SketchArch). Ostrzeżenie: Nie jest "Toponaming-Tolerant", jeśli używany jest tylko Szkic. Właściwość jest ignorowana, jeśli Base ArchSketch dostarczył wybrane krawędzie.
  • DANESzerokość: Szerokość ściany. Ignorowane, jeśli ściana jest oparta na ścianie lub bryle.

Tworzenie skryptów

Zobacz również: API: Architektura i Podstawy tworzenia skryptów FreeCAD.

Narzędzie Ściana może być używane w makrodefinicjach i z konsoli Python za pomocą następujących funkcji:

Wall = makeWall(baseobj=None, length=None, width=None, height=None, align="Center", face=None, name="Wall")
  • Tworzy obiekt Wall na podstawie podanego obiektu baseobj, który może być obiektem środowiska pracy Rysunek Roboczy, Szkicownik, ścianą lub bryłą.
    • Jeśli nie podano baseobj, można podać numeryczne wartości dla length, width (grubości) i height.
    • Jeśli podano, face może być używane do podania indeksu twarzy z podstawowego obiektu, na którym ma być zbudowana ta ściana, zamiast używania całego obiektu.
  • wyrównanie może mieć wartość "Center", "Left" lub "Right".
  • Zwraca None, jeśli operacja się nie powiedzie.

Przykład:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
Draft.move(Wall2, FreeCAD.Vector(0, -1000, 0))
FreeCAD.ActiveDocument.recompute()